package com.kmall.api.dao;

import com.kmall.api.entity.SmsLogVo;
import com.kmall.api.entity.UserVo;
import org.apache.ibatis.annotations.Param;
import com.kmall.common.dao.BaseDao;
import org.springframework.stereotype.Component;

/**
 * 用户
 *
 * @author Scott
 * @email
 * @date 2017-03-23 15:22:06
 */
@Component
public interface ApiUserMapper extends BaseDao<UserVo> {

    UserVo queryByMobile(String mobile);

    UserVo queryByOpenId(@Param("openId") String openId);

    /**
     * 获取用户最后一条短信
     *
     * @param id
     * @return
     */
    SmsLogVo querySmsCodeByUserId(@Param("id") Long id);

    /**
     * 保存短信
     *
     * @param smsLogVo
     * @return
     */
    int saveSmsCodeLog(SmsLogVo smsLogVo);

    UserVo queryObject(Integer id);

    UserVo queryObjectByIdNoAndName(@Param("idNo") String idNo,@Param("userName") String userName);
}
